org.eclipse.net4j.util.concurrent

## Class ExecutorServiceFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.net4j.util.concurrent.ExecutorServiceFactory

- All Implemented Interfaces:
    IFactory

      public class ExecutorServiceFactory
      extends Factory

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_THREAD_GROUP_NAME`
    `static String` | `PRODUCT_GROUP`
    `static String` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutorServiceFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExecutorService` | `create(String description)`
    `static ExecutorService` | `get(IManagedContainer container)`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final String PRODUCT_GROUP

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### DEFAULT_THREAD_GROUP_NAME

          public static final String DEFAULT_THREAD_GROUP_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExecutorServiceFactory

          public ExecutorServiceFactory()

  - ### Method Detail

    - #### create

          public ExecutorService create(String description)

    - #### get

          public static ExecutorService get(IManagedContainer container)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html